package com.ruoyi.generator.mapper;

import java.util.List;
import com.ruoyi.generator.domain.SourceProject;

public interface SourceProjectMapper
{
    public SourceProject selectSourceProjectByProjectId(Long projectId);

    public SourceProject selectSourceProjectBySlug(String slug);

    public List<SourceProject> selectSourceProjectList(SourceProject sourceProject);

    public List<SourceProject> selectPublicSourceProjectList(SourceProject sourceProject);

    public int insertSourceProject(SourceProject sourceProject);

    public int updateSourceProject(SourceProject sourceProject);

    public int deleteSourceProjectByProjectIds(Long[] projectIds);

    public int changeSourceProjectStatus(SourceProject sourceProject);

    public int increaseViewCount(Long projectId);
}
